import ApiSubset from '../ApiSubset';
import { InjectionTypes, FFIFunctionCall, HermesOptions } from '../types';
import * as enums from '../types/enums';
/**
 * The Injection API subset.
 */
export default class Injection extends ApiSubset {
    constructor(protocolHandler: Buffer, call: FFIFunctionCall, options: HermesOptions);
    publishEvents: {
        injection_request: {
            fullEventName: string;
        };
        injection_status_request: {
            fullEventName: string;
        };
        injection_reset_request: {
            fullEventName: string;
        };
    };
    publishMessagesList: InjectionTypes.publishMessagesList;
    subscribeEvents: {
        injection_status: {
            fullEventName: string;
        };
        injection_complete: {
            fullEventName: string;
        };
        injection_reset_complete: {
            fullEventName: string;
        };
    };
    subscribeMessagesList: InjectionTypes.subscribeMessagesList;
    destroy(): void;
    /**
     * Injection enumerations.
     */
    static enums: {
        injectionKind: typeof enums.injectionKind;
    };
}
