import { HermesOptions } from './HermesOptions';
export declare type SubscribeEventDescriptor = {
    fullEventName: string;
    additionalArguments?: (eventName: string) => any[];
};
export declare type PublishEventDescriptor = {
    fullEventName: string;
};
export declare type MessageListener<T = {
    [key: string]: any;
}> = (message: T, ...args: any[]) => void;
export declare type FFIFunctionCall = (functionName: string, ...args: any[]) => void;
export declare type SubsetConstructor<Subset> = new (protocolHandler: Buffer, call: FFIFunctionCall, options: HermesOptions) => Subset;
