"use strict";
/**
 * @module api
 */
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const api_1 = require("./api");
const tools = __importStar(require("./tools"));
__export(require("./tools"));
__export(require("./api"));
/**
 * Sets an event loop up and initializes the Hermes class.
 *
 * @param context - The wrapped context function.
 * @param opts - Options used to create the Hermes instance.
 */
exports.withHermes = function (context, opts) {
    const hermes = new api_1.Hermes(opts);
    const keepAliveRef = tools.keepAlive(60000);
    const done = () => {
        hermes.destroy();
        tools.killKeepAlive(keepAliveRef);
    };
    context(hermes, done);
};
//# sourceMappingURL=index.js.map