/// <reference types="node" />
/**
 * Prevents the process from terminating.
 * @param timer - The interval of time between loop iterations.
 */
export declare function keepAlive(timer?: number): NodeJS.Timeout;
/**
 * Stops the keepAlive loop.
 * @param keepAliveRef - A reference to an existing keepAlive loop.
 */
export declare function killKeepAlive(keepAliveRef: NodeJS.Timeout): void;
/**
 * Generic C struct to JS object casting method.
 * @param struct - A "C structure" object exposed by the "ref" module.
 * @param customKeysCasting - Allows to specify the behaviour for keys mapping to a sub structure.
 */
export declare function cast(struct: any, customKeysCasting?: {}): any;
